
package com.yzh;


import org.junit.Assert;
import org.junit.Test;

/**
 * @author yinzhihong
 * @description: TODO
 * @date 2021/7/7 2:42 下午
 */
public class InsertionSortTest {
    InsertionSort insertionSort = new InsertionSort();
    @Test
    /**
     * 对提交的插入排序代码进行单元测试
     */
    public void fun(){
        int expected1[] = {1,2,3,4,5,6};
        int actuals1[] = insertionSort.solution(new int[]{4,2,1,5,6,3});

//        int expected2[] = {1,2,3,5,6,7,9};
//        int actuals2[] = insertionSort.solution(new int[]{5,7,3,1,6,9,2});

        Assert.assertArrayEquals(expected1,actuals1);

    }
}
